Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#41934 - [cython] cython and cython2 seem to conflict.

Attached to Project: Community Packages
Opened by Denis Gagnon (McNoggins) - Thursday, 11 September 2014, 14:31 GMT
Last edited by Sergej Pupykin (sergej) - Friday, 12 September 2014, 13:12 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

Community packages cython-0.21-1 and cython2-0.21-1 seem to conflict. Here is the pacman output when attempting to install cython-0.21-1 alongside cython2-0.21-1. Both packages attempt to install /usr/bin/cythonize which results in a name clash. Here is the pacman output

===
sudo pacman -S cython
resolving dependencies...
looking for inter-conflicts...

Packages (1): cython-0.21-1

Total Installed Size: 8.68 MiB
Net Upgrade Size: 0.41 MiB

:: Proceed with installation? [Y/n]
(1/1) checking keys in keyring
(1/1) checking package integrity
(1/1) loading package files
(1/1) checking for file conflicts
error: failed to commit transaction (conflicting files)
cython: /usr/bin/cythonize exists in filesystem
Errors occurred, no packages were upgraded.

Additional info:
* Package version 0.21-1

Steps to reproduce:

Install cython2, then install cython using pacman (or upgrade an installation where both packages are installed)
This task depends upon

Closed by  Sergej Pupykin (sergej)
Friday, 12 September 2014, 13:12 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#41932 

Loading...